/*
 *  Engine/Autocompletion.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using MySql.Data.MySqlClient;
using System.Data;
using System.Collections;
using System;



namespace esofokles.Engine {
	
	/// <summary>Filed type.</summary>
	public enum Field {
		ClassesDescription  = 0,
		StudentsName        = 1,
		StudenstBirthplace  = 2,
		SubjectsName        = 3,
		SubjectsTeacher     = 4,
		MarksComment        = 5
	}
	
	
	/// <summary>Autocompletion class.</summary>
	public static class Autocompletion {
		
		private static ArrayList Fields;
		

		/// <summary>Initializes autocompletion.</summary>
		public static void Init ()
		{
			Fields = new ArrayList ();
			
			Fields.Add (new ArrayList ());
			Fields.Add (new ArrayList ());
			Fields.Add (new ArrayList ());
			Fields.Add (new ArrayList ());
			Fields.Add (new ArrayList ());
			Fields.Add (new ArrayList ());
			
			
			IDataReader reader = DB.Query ("SELECT * FROM autocompletion;");
			if (reader != null) {
				while (reader.Read ())
					(Fields [(int) reader ["type"]] as ArrayList).Add ((string) reader ["text"]);

				reader.Close ();
			}
		}
		
	
		/// <summary>Adds a new text.</summary> 
		public static void AddText (Gtk.Entry entry, Field field)
		{
			if (entry.Text == "")
				return;
			
			if (DB.FastQuery (String.Format ("INSERT INTO autocompletion (type, text) VALUES('{0}', '{1}');", (int) field, entry.Text))) {
				(Fields [(int) field] as ArrayList).Add (entry.Text);
				(entry.Completion.Model as Gtk.ListStore).AppendValues (new object [] {entry.Text});
			}
		}
		
		
		/// <summary>Assigns fields to speciefied entry widget.</summary>
		public static void Assign (Gtk.Entry entry, Field field)
		{
			Gtk.EntryCompletion comp = new Gtk.EntryCompletion ();
			Gtk.ListStore       mod  = new Gtk.ListStore (typeof (string));

			comp.Model = mod;
			comp.TextColumn = 0;
			entry.Completion = comp;

			foreach (string item in Fields [(int) field] as ArrayList)
				mod.AppendValues (new object [] { item });
		}
	}
}
