/*
 *  Engine/FilesPaths.cs
 *  Copyright (C) 2005-2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;


namespace esofokles.Engine {
	public class FilesPaths {
		public static bool IsWinSystem ()
		{
			if ((Environment.OSVersion.Platform == PlatformID.Win32NT) ||
				    	(Environment.OSVersion.Platform == PlatformID.Win32S) ||
					    (Environment.OSVersion.Platform == PlatformID.Win32Windows) ||
					    (Environment.OSVersion.Platform == PlatformID.WinCE))
			    return true;
			else
				return false;
		}
		
		
		public static string HomeDirectory ()
		{
			if (IsWinSystem ())
				return Environment.GetEnvironmentVariable ("USERPROFILE");
			else
				return Environment.GetEnvironmentVariable ("HOME");
		}
		
		
		public static string Directory ()
		{
			if (IsWinSystem ())
				return "esofokles";
			else
				return ".esofokles";
		}
		
		
		public static char Separator ()
		{
			if (IsWinSystem ())
				return '\\';
			else
				return '/';
		}
		
		
		public static void CheckHomeDir ()
		{
			if (!System.IO.Directory.Exists (HomeDirectory () + Separator () + Directory ()))
				System.IO.Directory.CreateDirectory (HomeDirectory () + Separator () + Directory ());
		}
		
		
		public static string SettingsFile ()
		{
			return HomeDirectory () + Separator () + Directory () + Separator () + "settings.v1.esof";
		}
	}
}
