/*
 *  GUI/Colors.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Gtk;
using Glade;


namespace esofokles.GUI {
	
	/*
	 * Colors class
	 */
	
	public static class Colors {
		public static Gdk.Color BG   = new Gdk.Color (255, 255, 255);
		public static Gdk.Color HEAD = new Gdk.Color (233, 237, 243); // light blue
		//public static Gdk.Color HEAD = new Gdk.Color (255, 251, 235); // yellow
		
		public static Gdk.Color INFO = new Gdk.Color (231, 237, 248); // light blue
		//public static Gdk.Color INFO = new Gdk.Color (255, 255, 191); // yellow
		//public static Gdk.Color INFO = new Gdk.Color (255, 255, 220); // light yellow
		
		
		public static void Modify (Gdk.Color color, Gtk.Widget widget)
		{
			widget.ModifyBg (Gtk.StateType.Normal, color);
		}


		public static void Modify (Gdk.Color color, string widget, Glade.XML xml)
		{
			Modify (color, (Gtk.Widget) xml.GetWidget (widget));
		}
		
		
		public static void ModifyBase (Gdk.Color color, Gtk.Widget widget)
		{
			widget.ModifyBase (Gtk.StateType.Normal, color);
		}


		public static void ModifyBase (Gdk.Color color, string widget, Glade.XML xml)
		{
			ModifyBase (color, (Gtk.Widget) xml.GetWidget (widget));
		}
	}
}
