using System;
using Gtk;
using Glade;
using System.Data;
using esofokles.Engine;


namespace esofokles.GUI {

	/// <summary>Remarks dialog</summary>
	public class RemarkDialog {
		public Gtk.Dialog dialog;

		[Glade.Widget] public  Gtk.TextView    Remark;
		[Glade.Widget] public  Gtk.RadioButton RemarkGood, RemarkBad;

		
		/// <summary>Constructor. Creates remarks dialog.</summary>
		public RemarkDialog (Gtk.Window parent, bool New, Gtk.ListStore RemarksListStore,
											Gtk.TreeIter RemarksListIter)
		{
			Glade.XML gui = Glade.XML.FromAssembly ("gui.glade", "RemarkDialog", null);
			gui.Autoconnect (this);
			dialog = (Gtk.Dialog) gui.GetWidget ("RemarkDialog");
			dialog.TransientFor = parent;
			dialog.VBox.BorderWidth = 0;
			dialog.DestroyWithParent = true;

			Icons.AssignWindow (dialog);
			Icons.AssignImage (Icons.OK_BUTTON, "OkBtnImg", gui);
			Icons.AssignImage (Icons.CANCEL_BUTTON, "CancelBtnImg", gui);

			Tools.SetSensitive (this.dialog, false);
			if (New == false) {
				IDataReader reader = DB.Query (String.Format ("SELECT * FROM remarks WHERE id = '{0}';",
								(int) RemarksListStore.GetValue (RemarksListIter, 2)));
				if (reader != null) {
					reader.Read ();
					Remark.Buffer.Text = (string) reader ["text"];
					
					if ((int) reader ["positive"] == 1)
						RemarkGood.Active = true;
					else
						RemarkBad.Active = true;

					reader.Close ();
				}
			}
			
			Tools.SetSensitive (this.dialog, true);
		}
	}
}