/*
 *  e-Sofokles
 *  version 0.90.1
 *
 *  Copyright (C) 2005-2006 Marcin Krystian Krzywonos
 */



using System;
using Gtk;
using esofokles.GUI;
using esofokles.Engine;
using System.IO;
using Mono.Unix;


namespace esofokles {
	public class ESofokles {
		public static void Main (string[] args)
		{
			Application.Init ();

			// Settings
			Engine.FilesPaths.CheckHomeDir ();
			Engine.Settings.Open ();

			// Loading gtk+ theme		
			try {
				// if engine' file doesn't exist, install it !
				if (esofokles.Engine.FilesPaths.IsWinSystem () == true) {
					foreach (string file in System.IO.Directory.GetFiles ("theme"))
						if (Path.GetExtension (file) == ".dll") {
							try {
								File.Copy (file, Path.Combine (Gtk.Rc.ModuleDir, Path.GetFileName (file)));
							} catch {
							}
						}
				}
				// Loading theme
				if (esofokles.Engine.FilesPaths.IsWinSystem () == true)
					Gtk.Rc.Parse (Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "theme\\gtk-2.0\\gtkrc"));
				//else
				//	Gtk.Rc.Parse (Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "theme/gtk-2.0/gtkrc"));
			} catch {
				System.Console.WriteLine ("GTK+ theme couldn't load.");
			}
			
			

			// Loading translation
			if (FilesPaths.IsWinSystem () == true)
				Mono.Unix.Catalog.Init ("esofokles", Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "share\\locale"));
			else
				if (Directory.Exists (Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "../../share/locale")))
					Mono.Unix.Catalog.Init ("esofokles", Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "../../share/locale"));
				else
					Mono.Unix.Catalog.Init ("esofokles", Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, Defines.LocaleDir));

			// MainWindow
			new MainWindow ();
			Application.Run ();
		}
	}
}
