#!/bin/sh

if [ ! $1 ]
then
	echo "Syntax: winpatch.sh [path]"
	exit
else
	export pth="$1"
fi

if [ ! $(ls .. | grep autogen.sh) ]
then
	export cpautogen="yes"
fi

cd ..

sed -e "s|-r:Mono.Posix|-r:System.Windows.Forms|g" \
    -e "s|Main.cs|Main.cs WinPosix.cs|g" src/Makefile.am > src/Makefile.am.2

mv src/Makefile.am src/Makefile.am.bak
mv src/Makefile.am.2 src/Makefile.am
cp winpatch/WinPosix.cs src/WinPosix.cs

if [ $cpautogen ]
then
	cp winpatch/autogen.sh .
fi

sh autogen.sh "--prefix=$pth"
make
make install


# CLEANING
rm src/Makefile.am
rm src/WinPosix.cs

sed -e "s|-r:System.Windows.Forms|-r:Mono.Posix|g" \
    -e "s|Main.cs WinPosix.cs|Main.cs|g" src/Makefile.am.bak > src/Makefile.am
rm src/Makefile.am.bak

sh autogen.sh --prefix=/usr

if [ $cpautogen ]
then
	rm autogen.sh 
fi
